<?
session_start();
 require('../valtiempoinact.php');
function check_email_address($email) 
{
	// Primero, checamos que solo haya un símbolo @, y que los largos sean correctos
  if (!ereg("^[^@]{1,64}@[^@]{1,255}$", $email)) 
	{
		// correo inválido por número incorrecto de caracteres en una parte, o número incorrecto de símbolos @
    return false;
    }
  // se divide en partes para hacerlo más sencillo
  $email_array = explode("@", $email);
  $local_array = explode(".", $email_array[0]);
  for ($i = 0; $i < sizeof($local_array); $i++) 
	{
    if (!ereg("^(([A-Za-z0-9!#$%&'*+/=?^_`{|}~-][A-Za-z0-9!#$%&'*+/=?^_`{|}~\.-]{0,63})|(\"[^(\\|\")]{0,62}\"))$", $local_array[$i])) 
		{
      return false;
    }
  } 
  // se revisa si el dominio es una IP. Si no, debe ser un nombre de dominio válido
	if (!ereg("^\[?[0-9\.]+\]?$", $email_array[1])) 
	{ 
     $domain_array = explode(".", $email_array[1]);
     if (sizeof($domain_array) < 2) 
		 {
        return false; // No son suficientes partes o secciones para se un dominio
     }
     for ($i = 0; $i < sizeof($domain_array); $i++) 
		 {
        if (!ereg("^(([A-Za-z0-9][A-Za-z0-9-]{0,61}[A-Za-z0-9])|([A-Za-z0-9]+))$", $domain_array[$i])) 
				{
           return false;
        }
     }
  }
  return true;
}
require('conectar.php');
$mail=$_POST['email'];
if (check_email_address($mail)) 
{
   $sql="SELECT cl.id_cliente, r.id_renta FROM clientes as cl INNER JOIN renta as r ON r.id_cliente=cl.id_cliente WHERE email IN('$mail','$mail2','$mail3') order by r.id_renta DESC LIMIT 1";
   $con=mysql_query($sql);
   $row=mysql_num_rows($con);
   $res=mysql_fetch_array($con);
   mysql_free_result($con);
   $tot=$res["id_cliente"];
   if($row==0)
     {
      ?>
      <img align="center" src="images/emok.png" width="15" height="15">
      <input type="hidden" name="mailrepetido" id="mailrepetido" value="0"/>
	     <input type="hidden" name="clienteid" id="clienteid" value="0"/>
	     <input type="hidden" name="agregarlelarenta" id="agregarlelarenta" value="0"/>
	  <?
     }
   else
     {
      ?>
      <img align="center" src="images/atencion.png" width="15" height="15">
     <input type="hidden" name="mailrepetido" id="mailrepetido" value="1"/>
     <input type="hidden" name="clienteid" id="clienteid" value="<?echo $res["id_cliente"]?>"/>
     <input type="hidden" name="agregarlelarenta" id="agregarlelarenta" value="<?echo $res["id_renta"]?>"/>
	
	  <?
     }
}
else
{
?>
<img align="center" src="images/embad.png" width="15" height="15">
<script language='javascript'>
  alert("\nEsta no es una direcci\u00f3n de correo electronico valida.");
  document.forma.mail.value="";
  document.forma.mail.focus=true;
</script>
<?
}	 
?>  